import 'package:flutter/material.dart';
import 'package:konkeui/konkeui.dart';

class GradientProgressDemo extends StatefulWidget {
  const GradientProgressDemo({Key? key}) : super(key: key);

  @override
  State<StatefulWidget> createState() {
    return _GradientProgressDemoState();
  }
}

class _GradientProgressDemoState extends State<GradientProgressDemo> {
  double value1 = 0.2;
  double value2 = 0.4;
  double value3 = 0.6;
  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      mainAxisSize: MainAxisSize.min,
      children: <Widget>[
        SizedBox(
          width: 200,
          height: 100,
          child: GradientProgress(
            progress: value1,
            onUpdateCallback: (value) {
              setState(() {
                value1 = value;
              });
            },
          ),
        ),
        const SizedBox(height: 24),
        SizedBox(
          width: 100,
          height: 200,
          child: GradientProgress(
            direction: GradientProgressDirection.vertical,
            progress: value2,
            onUpdateCallback: (value) {
              setState(() {
                value2 = value;
              });
            },
          ),
        ),
        const SizedBox(height: 24),
        SizedBox(
          width: 100,
          height: 100,
          child: GradientProgress(
            direction: GradientProgressDirection.circle,
            progress: value3,
            onUpdateCallback: (value) {
              setState(() {
                value3 = value;
              });
            },
          ),
        ),
      ],
    );
  }
}
