import 'package:flutter/services.dart';

class ExampleCode {
  static final Map<String, String> _exampleCode = {};

  static Future<String?> getExampleCode(
      context, String filePath, AssetBundle bundle) async {
    if (!_exampleCode.containsKey(filePath)) {
      await _parseExampleCode(context, filePath, bundle);
    }
    return _exampleCode[filePath];
  }

  static Future<void> _parseExampleCode(
      context, String filePath, AssetBundle bundle) async {
    String code;
    try {
      code = await bundle.loadString(filePath);
    } catch (err) {
      code = "";
    }
    _exampleCode[filePath] = code;
  }
}
