import 'package:example/ui/ui_type.dart';
import 'package:flutter/cupertino.dart';

import '../demo/demo.dart';

class UiKits {
  static const String demoPath = "lib/demo";
  static List<UiKit> get items => [
        UiKit("GradientProgress", UiType.progress, const GradientProgressDemo(),
            "$demoPath/gradient_progress_demo"),
        UiKit(
            "SimpleProgressIndicator",
            UiType.progress,
            const SimpleProgressIndicatorDemo(),
            "$demoPath/simple_progress_indicator_demo"),
      ];
}

class UiKit {
  String name;
  UiType type;
  Widget demo;
  String path;

  UiKit(
    this.name,
    this.type,
    this.demo,
    this.path,
  );
}
