import 'package:flutter/material.dart';

class SimpleProgressIndicator extends StatelessWidget {
  final double value;
  final Size size;

  const SimpleProgressIndicator({
    Key? key,
    required this.value,
    required this.size,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      width: size.width,
      height: size.height,
      decoration: BoxDecoration(
        color: const Color(0xFF333333),
        borderRadius: BorderRadius.all(
          Radius.circular(size.height * 0.5),
        ),
      ),
      clipBehavior: Clip.hardEdge,
      child: Stack(
        children: [
          Positioned(
            left: 0,
            top: 0,
            bottom: 0,
            width: value * size.width,
            child: Container(
              decoration: BoxDecoration(
                color: Colors.deepOrange,
                borderRadius: BorderRadius.all(
                  Radius.circular(size.height * 0.5),
                ),
              ),
            ),
          ),
        ],
      ),
    );
  }
}
